﻿using System;
using ThinkGeo.MapSuite;
using ThinkGeo.MapSuite.Layers;
using ThinkGeo.MapSuite.Shapes;
using ThinkGeo.MapSuite.WebForms;

namespace _9097
{
    public partial class WebForm1 : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                // Set the Map Unit. The reason for setting it to DecimalDegrees is that is what the shapefile’s unit of measure is inherently in.
                Map1.MapUnit = GeographyUnit.DecimalDegree;


                LayerOverlay layerOverlay = new LayerOverlay();

                RectangleShape rect1 = new RectangleShape(-50, 10, -20, -10);

                NativeImageRasterLayer layer = new NativeImageRasterLayer(MapPath(@"App_Data\Tulips.jpg"), rect1);
                
                layerOverlay.Layers.Add(layer);
                Map1.CustomOverlays.Add(layerOverlay);

                layer.Open();
                Map1.CurrentExtent = new RectangleShape(-100, 80, 100, -80);
            }
        }

        protected void ChangeLocation_Click(object sender, EventArgs e)
        {
            Map1.CustomOverlays.Clear();

            LayerOverlay layerOverlay = new LayerOverlay();

            RectangleShape rect1 = new RectangleShape(30, 10, 50, -10);

            NativeImageRasterLayer layer = new NativeImageRasterLayer(MapPath(@"App_Data\Tulips.jpg"), rect1);

            layerOverlay.Layers.Add(layer);
            Map1.CustomOverlays.Add(layerOverlay);
        }
    }
}